import java.io.UnsupportedEncodingException;

import net.minidev.json.JSONObject;

import org.apache.http.entity.StringEntity;

import com.bryceredd.web.AsyncRequest;
import com.bryceredd.web.AsyncResponse;



public class JsonRequest {
	
		
	public static void runGetRequest() {
		String url = "http://some.json.file.com";
		
		new AsyncRequest().getJson(url, new AsyncResponse() {
			public void success(AsyncRequest request) {
				JSONObject results = request.responseObject();
				
				System.out.println("Downloaded: "+results);
			}
			
			public void failure(AsyncRequest request) {
				System.out.println("Failed to download: "+request.toString());
			}
		});
	}

	public static void runPostRequest() {
		String url = "http://some.json.file.com";
		
		
		String json = "{post:body}";

		StringEntity body = null;
		try {
			body = new StringEntity(json);
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
		}
		
		AsyncRequest request = new AsyncRequest();
		request.setBody(body);
		request.putJson(url, new AsyncResponse() {
			public void success(AsyncRequest request) {
				JSONObject results = request.responseObject();
				
				System.out.println("Downloaded: "+results);
			}
			
			public void failure(AsyncRequest request) {
				System.out.println("Failed to download: "+request.toString());
			}
		});
	}
}
